# $Revision: 1.7 $, $Date: 2004/12/01 17:46:56 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	BigInt-GMP
Summary:	Math::BigInt::GMP - use the GMP library for Math::BigInt routines
Summary(pl):	Math::BigInt::GMP - wykorzystanie biblioteki GMP do funkcji Math::BigInt
Name:		perl-Math-BigInt-GMP
Version:	1.15
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	5161bbb85b5e19e877ffeb7a57766cab
BuildRequires:	gmp-devel
BuildRequires:	perl-Math-BigInt >= 1.64
BuildRequires:	perl(Math::BigFloat) >= 1.38
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-BigInt >= 1.64
Requires:	perl(Math::BigFloat) >= 1.38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::BigInt::GMP provides support for big integer calculations via
means of the GMP C-library. Math::BigInt::GMP now no longer uses
Math::GMP, but provides it's own XS layer to access the GMP C-library.
This cuts out another (perl sub routine) layer and also reduces the
memory footprint by not loading Math::GMP and Carp at all.

%description -l pl
Math::BigInt::GMP dostarcza obsug oblicze na wielkich liczbach
cakowitych z wykorzystaniem funkcjonalnoci biblioteki C GMP. Modu
ten ju nie uywa Math::GMP, ale dostarcza wasn warstw XS do
odwoywania si do biblioteki GMP w C. Dziki temu nie ma kolejnej
warstwy (podprocedury Perla), a wykorzystanie pamici jest mniejsze
dziki nie wczytywaniu moduw Math::GMP i Carp.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES CREDITS LICENSE README TODO
%{perl_vendorarch}/Math/BigInt/GMP.pm
%dir %{perl_vendorarch}/auto/Math/BigInt/GMP
%{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Math/BigInt/GMP/GMP.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-BigInt-GMP.spec,v $
Revision 1.7  2004/12/01 17:46:56  radek
- autoupdated to 1.15

Revision 1.6  2004/11/03 22:30:33  paladine
- formatting

Revision 1.5  2004/05/06 18:43:15  ankry
- fixed perl-devel BR

Revision 1.4  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.3  2004/04/20 23:59:35  ankry
- ported to new bconds

Revision 1.2  2004/04/09 19:12:56  adamg
- updated to 1.14

Revision 1.1  2003/06/29 10:17:49  qboosh
- new

